## com.vividsolutions.jts.operation.valid
Class ConnectedInteriorTester

    java.lang.Object
      com.vividsolutions.jts.operation.valid.ConnectedInteriorTester

public class ConnectedInteriorTester
extends java.lang.Object

This class tests that the interior of an area `Geometry` ( `Polygon` or `MultiPolygon` ) is connected. This can happen if:

- a shell self-intersects
- one or more holes form a connected chain touching a shell at two different points
- one or more holes form a ring around a subset of the interior

If a disconnected situation is found the location of the problem is recorded.

Version:
  1.7

Constructor Summary
`ConnectedInteriorTester(GeometryGraph geomGraph)`

Method Summary
`static Coordinate` `findDifferentPoint(Coordinate[] coord, Coordinate pt)`
`Coordinate` `getCoordinate()`
`boolean` `isInteriorsConnected()`
`protected void` `visitLinkedDirectedEdges(DirectedEdge start)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectedInteriorTester

    public ConnectedInteriorTester(GeometryGraph geomGraph)

Method Detail

### findDifferentPoint

    public static Coordinate findDifferentPoint(Coordinate[] coord,
                                                Coordinate pt)

### getCoordinate

    public Coordinate getCoordinate()

### isInteriorsConnected

    public boolean isInteriorsConnected()

### visitLinkedDirectedEdges

    protected void visitLinkedDirectedEdges(DirectedEdge start)